%define upstream_name    Test-WWW-Mechanize-PSGI
%define upstream_version 0.35

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test PSGI programs using WWW::Mechanize
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Message::PSGI)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize)
BuildRequires: perl(Try::Tiny)
BuildArch: noarch

%description
the PSGI manpage is a specification to decouple web server environments
from web application framework code. the Test::WWW::Mechanize manpage is a
subclass of the WWW::Mechanize manpage that incorporates features for web
application testing. The the Test::WWW::Mechanize::PSGI manpage module
meshes the two to allow easy testing of the PSGI manpage applications.

Testing web applications has always been a bit tricky, normally requiring
starting a web server for your application and making real HTTP requests to
it. This module allows you to test the PSGI manpage web applications but
does not require a server or issue HTTP requests. Instead, it passes the
HTTP request object directly to the PSGI manpage. Thus you do not need to
use a real hostname: "http://localhost/" will do. However, this is
optional. The following two lines of code do exactly the same thing:

  $mech->get_ok('/action');
  $mech->get_ok('http://localhost/action');

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.yml README CHANGES
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.350.0-3.mga4
+ Revision: 515474
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.350.0-2.mga3
+ Revision: 373908
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 0.350.0-1.mga2
+ Revision: 111297
- imported package perl-Test-WWW-Mechanize-PSGI


* Tue Jun 21 2011 cpan2dist 0.35-1mga
- initial mageia release, generated with cpan2dist
